### Method

# Gimp Image list_layers

#### Declaration [src]

    GList*
    gimp_image_list_layers (
      GimpImage* image
    )

#### Description [src]

Returns the list of layers contained in the specified image.

This procedure returns the list of layers contained in the specified image. The order of layers is from topmost to bottommost.

Available since: | 3.0

#### Return value

Returns: | A list of `GimpLayer*`

         The list of layers contained in the image.
         The returned list must be freed with g_list_free(). Layer
         elements belong to libgimp and must not be freed.

| The caller of the method takes ownership of the data container, but not the data inside it.